# pb_ds::move_to_front_lu_policy< Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Allocator = std::allocator<char>>
class pb_ds::move_to_front_lu_policy< Allocator >

Definition at line 65 of file list_update_policy.hpp.

## Public Types

- typedef Allocator allocator
- typedef allocator::template
  rebind< metadata_type >::other metadata_rebind
- typedef metadata_rebind::reference metadata_reference
- typedef null_lu_metadata metadata_type

## Public Member Functions

- bool operator() (metadata_reference r_metadata) const
- metadata_type operator() () const

The documentation for this class was generated from the following file:

- list_update_policy.hpp